> For the complete documentation index, see [llms.txt](https://docs.shiftiq.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shiftiq.com/developers/api-v1/api-reference/variant-cmds.md).

# Variant: CMDS

## GET /api/cmds/contacts/departments

> Use this request to query for a listing of the departments in your organization, and the learners assigned to each department.

```json
{"openapi":"3.1.1","info":{"title":"API Version 1","version":"v1"},"servers":[{"url":"https://dev-demo.shiftiq.com"}],"paths":{"/api/cmds/contacts/departments":{"get":{"tags":["Variant: CMDS"],"description":"Use this request to query for a listing of the departments in your organization, and the learners assigned to each department.","operationId":"CmdsContacts_Departments","parameters":[{"schema":{"type":"string"},"name":"include","in":"query","required":false}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"text/json":{"schema":{"type":"object"}},"application/xml":{"schema":{"type":"object"}},"text/xml":{"schema":{"type":"object"}},"text/html":{"schema":{"type":"object"}}}}}}}}}
```

## GET /api/cmds/contacts/users

> Use this request to query for a listing of the users in your organization, and the departments to which each learner is assigned.

```json
{"openapi":"3.1.1","info":{"title":"API Version 1","version":"v1"},"servers":[{"url":"https://dev-demo.shiftiq.com"}],"paths":{"/api/cmds/contacts/users":{"get":{"tags":["Variant: CMDS"],"summary":"","description":"Use this request to query for a listing of the users in your organization, and the departments to which each learner is assigned.","operationId":"CmdsContacts_Users","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"text/json":{"schema":{"type":"object"}},"application/xml":{"schema":{"type":"object"}},"text/xml":{"schema":{"type":"object"}},"text/html":{"schema":{"type":"object"}}}}}}}}}
```

## GET /api/cmds/reports/statistics

> Use this request to query for a listing of the monthly statistics for mandatory critical primary competencies.

```json
{"openapi":"3.1.1","info":{"title":"API Version 1","version":"v1"},"servers":[{"url":"https://dev-demo.shiftiq.com"}],"paths":{"/api/cmds/reports/statistics":{"get":{"tags":["Variant: CMDS"],"summary":"","description":"Use this request to query for a listing of the monthly statistics for mandatory critical primary competencies.","operationId":"CmdsReports_Statistics","parameters":[{"schema":{"type":"integer","format":"int32"},"name":"year","in":"query","required":false},{"schema":{"type":"integer","format":"int32"},"name":"month","in":"query","required":false}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"text/json":{"schema":{"type":"object"}},"application/xml":{"schema":{"type":"object"}},"text/xml":{"schema":{"type":"object"}},"text/html":{"schema":{"type":"object"}}}}}}}}}
```

## GET /api/cmds/reports/billable-user-summaries

> Gets a summary of billable user accounts

```json
{"openapi":"3.1.1","info":{"title":"API Version 1","version":"v1"},"servers":[{"url":"https://dev-demo.shiftiq.com"}],"paths":{"/api/cmds/reports/billable-user-summaries":{"get":{"tags":["Variant: CMDS"],"summary":"Gets a summary of billable user accounts","operationId":"CmdsReports_BillableUserSummaries","parameters":[{"schema":{"type":"string"},"name":"classification","in":"query","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"text/json":{"schema":{"type":"object"}},"application/xml":{"schema":{"type":"object"}},"text/xml":{"schema":{"type":"object"}},"text/html":{"schema":{"type":"object"}}}}}}}}}
```

## GET /api/cmds/documents/achievements

> Use this request to query for a listing of the achievements assigned to learners in your organization.

```json
{"openapi":"3.1.1","info":{"title":"API Version 1","version":"v1"},"servers":[{"url":"https://dev-demo.shiftiq.com"}],"paths":{"/api/cmds/documents/achievements":{"get":{"tags":["Variant: CMDS"],"summary":"","description":"Use this request to query for a listing of the achievements assigned to learners in your organization.","operationId":"CmdsDocuments_Achievements","parameters":[{"schema":{"type":"string"},"name":"achievement","in":"query","required":false},{"schema":{"type":"string"},"name":"learner","in":"query","required":false}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"text/json":{"schema":{"type":"object"}},"application/xml":{"schema":{"type":"object"}},"text/xml":{"schema":{"type":"object"}},"text/html":{"schema":{"type":"object"}}}}}}}}}
```

## GET /api/cmds/documents/competencies

> Use this request to query for a listing of the competencies assigned to learners in your organization.

```json
{"openapi":"3.1.1","info":{"title":"API Version 1","version":"v1"},"servers":[{"url":"https://dev-demo.shiftiq.com"}],"paths":{"/api/cmds/documents/competencies":{"get":{"tags":["Variant: CMDS"],"summary":"","description":"Use this request to query for a listing of the competencies assigned to learners in your organization.","operationId":"CmdsDocuments_Competencies","parameters":[{"schema":{"type":"string"},"name":"competency","in":"query","required":false},{"schema":{"type":"string"},"name":"learner","in":"query","required":false}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"text/json":{"schema":{"type":"object"}},"application/xml":{"schema":{"type":"object"}},"text/xml":{"schema":{"type":"object"}},"text/html":{"schema":{"type":"object"}}}}}}}}}
```

## GET /api/cmds/documents/profiles

> Use this request to query for a listing of the profiles assigned to learners in your organization.

```json
{"openapi":"3.1.1","info":{"title":"API Version 1","version":"v1"},"servers":[{"url":"https://dev-demo.shiftiq.com"}],"paths":{"/api/cmds/documents/profiles":{"get":{"tags":["Variant: CMDS"],"summary":"","description":"Use this request to query for a listing of the profiles assigned to learners in your organization.","operationId":"CmdsDocuments_Profiles","parameters":[{"schema":{"type":"string"},"name":"profile","in":"query","required":false},{"schema":{"type":"string"},"name":"learner","in":"query","required":false}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"text/json":{"schema":{"type":"object"}},"application/xml":{"schema":{"type":"object"}},"text/xml":{"schema":{"type":"object"}},"text/html":{"schema":{"type":"object"}}}}}}}}}
```

## GET /api/cmds/templates/achievements

> Use this request to query for a listing of all the achievements in your CMDS library. Achievements include e-learning modules,&#x20;> \
> time-sensitive safety certificates, orientations, codes of practice, safe operating practices, site-specific operating procedures,&#x20;> \
> training guides, and others.

```json
{"openapi":"3.1.1","info":{"title":"API Version 1","version":"v1"},"servers":[{"url":"https://dev-demo.shiftiq.com"}],"paths":{"/api/cmds/templates/achievements":{"get":{"tags":["Variant: CMDS"],"summary":"","description":"Use this request to query for a listing of all the achievements in your CMDS library. Achievements include e-learning modules, \r\ntime-sensitive safety certificates, orientations, codes of practice, safe operating practices, site-specific operating procedures, \r\ntraining guides, and others.","operationId":"CmdsTemplates_Achievements","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"text/json":{"schema":{"type":"object"}},"application/xml":{"schema":{"type":"object"}},"text/xml":{"schema":{"type":"object"}},"text/html":{"schema":{"type":"object"}}}}}}}}}
```

## GET /api/cmds/templates/competencies

> Use this request to query for a listing of all the competencies in your CMDS library, and the profiles that contain each competency.

```json
{"openapi":"3.1.1","info":{"title":"API Version 1","version":"v1"},"servers":[{"url":"https://dev-demo.shiftiq.com"}],"paths":{"/api/cmds/templates/competencies":{"get":{"tags":["Variant: CMDS"],"summary":"","description":"Use this request to query for a listing of all the competencies in your CMDS library, and the profiles that contain each competency.","operationId":"CmdsTemplates_Competencies","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"text/json":{"schema":{"type":"object"}},"application/xml":{"schema":{"type":"object"}},"text/xml":{"schema":{"type":"object"}},"text/html":{"schema":{"type":"object"}}}}}}}}}
```

## GET /api/cmds/templates/profiles

> Use this request to query for a listing of all the profiles in your CMDS library, and the competencies contained in each profile.

```json
{"openapi":"3.1.1","info":{"title":"API Version 1","version":"v1"},"servers":[{"url":"https://dev-demo.shiftiq.com"}],"paths":{"/api/cmds/templates/profiles":{"get":{"tags":["Variant: CMDS"],"summary":"","description":"Use this request to query for a listing of all the profiles in your CMDS library, and the competencies contained in each profile.","operationId":"CmdsTemplates_Profiles","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}},"text/json":{"schema":{"type":"object"}},"application/xml":{"schema":{"type":"object"}},"text/xml":{"schema":{"type":"object"}},"text/html":{"schema":{"type":"object"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.shiftiq.com/developers/api-v1/api-reference/variant-cmds.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
